import request from '@/utils/request'

// 创建导诊管理
export function createDzQuestion(data) {
  return request({
    url: '/system/dz-question/create',
    method: 'post',
    data: data
  })
}

// 更新导诊管理
export function updateDzQuestion(data) {
  return request({
    url: '/system/dz-question/update',
    method: 'put',
    data: data
  })
}

// 删除导诊管理
export function deleteDzQuestion(id) {
  return request({
    url: '/system/dz-question/delete?id=' + id,
    method: 'delete'
  })
}

// 获得导诊管理
export function getDzQuestion(id) {
  return request({
    url: '/system/dz-question/get?id=' + id,
    method: 'get'
  })
}

// 获得导诊管理分页
export function getDzQuestionPage(query) {
  return request({
    url: '/system/dz-question/page',
    method: 'get',
    params: query
  })
}

// 导出导诊管理 Excel
export function exportDzQuestionExcel(query) {
  return request({
    url: '/system/dz-question/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
